package com.zcloud.service.relatedparty.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.relatedparty.UnitsMapper;
import com.zcloud.service.relatedparty.UnitsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：相关方管理
 * 作者：luoxiaobao
 * 时间：2022-06-07
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class UnitsServiceImpl implements UnitsService{

	@Autowired
	private UnitsMapper unitsMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		unitsMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		unitsMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		unitsMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return unitsMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return unitsMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return unitsMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		unitsMapper.deleteAll(ArrayDATA_IDS);
	}
	/**
	 * 获取该相关方名称是否重复
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public PageData findByName(PageData pd) throws Exception {
		return unitsMapper.findByName(pd);
	}
	public PageData findByCode(PageData pd) throws Exception {
		return unitsMapper.findByCode(pd);
	}

}

